Bug 137691 - PS/2 mouse not working together with synaptics touchpad
PS/2 mouse not working together with synaptics touchpad
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-30 15:10 EDT by Philippe Rigault
Modified: 2015-01-04 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:39:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/proc/bus/input/devices (458 bytes, text/plain)
2004-10-31 13:20 EST, Philippe Rigault
no flags Details
xorg.conf (3.10 KB, text/plain)
2004-10-31 13:25 EST, Philippe Rigault
no flags Details
Xorg.0.log (37.19 KB, text/plain)
2004-10-31 13:26 EST, Philippe Rigault
no flags Details

  None (edit)
Description Philippe Rigault 2004-10-30 15:10:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux) (KHTML, like Gecko)

Description of problem:
Installed FC3 on a laptop (Dell Inspiron 7000) with PS/2 wheel mouse.

- PS/2 mouse is not used during install
- PS/2 mouse does not work

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install Fedora Core 3 on Dell Inspiron 7000
(synaptics touch pad + wheel PS/2 mouse)

    

Actual Results:  No PS/2 mouse during install.
No PS/2 mouse when system is up


Expected Results:  PS/2 mouse used during install
PS/2 mouse used when system is up


Additional info:

Checked that the hardware is fine (inserted FC1 install disk => mouse detected and working).

This might be important:
1. Mouse is configured in xorg.conf

2. Mouse seems detected. In /var/log/messages (see below)
.... imps2: Auto-detected intellimouse PS/2

3. Synaptics touchpad present and working, but emits messages like:

Oct 30 14:42:28 localhost kernel: psmouse.c: TouchPad at isa0060/serio1/input0 - driver resynched.
Oct 30 14:42:30 localhost gpm[1759]: *** info [mice.c(1766)]:
Oct 30 14:42:30 localhost gpm[1759]: imps2: Auto-detected intellimouse PS/2
Oct 30 14:42:49 localhost kernel: psmouse.c: TouchPad at isa0060/serio1/input0 lost sync at byte 1
Oct 30 14:42:52 localhost last message repeated 23 times

4. udev fails to start correctly on this box: http://www.redhat.com/archives/fedora-test-list/2004-October/msg02886.html
Comment 1 Paul Nasrat 2004-10-31 12:27:46 EST
Please attach the output of:

cat /proc/bus/input/devices

and attach uncompressed xorg.conf and Xorg log file from /var/log/

Comment 2 Philippe Rigault 2004-10-31 13:20:23 EST
Created attachment 105995 [details]
/proc/bus/input/devices
Comment 3 Philippe Rigault 2004-10-31 13:25:16 EST
Created attachment 105998 [details]
xorg.conf

Note: the following parts were added by myself and should not interfere with
this bug:

1. Prevent Ctrl+Alt+Backspace from bombing out of X (this should be default
IMHO, but it is another problem)

Section "ServerFlags"
	Option "DontZap" "On"
	Option "DontZoom" "On"
EndSection

2. Set display size (in Monitor section)
	Displaysize  304 228
Comment 4 Philippe Rigault 2004-10-31 13:26:40 EST
Created attachment 105999 [details]
Xorg.0.log
Comment 5 Paul Nasrat 2004-11-02 17:26:15 EST
Replicated here.

Can you try system-config-display --reconfig with the PS/2 mouse
plugged in attach the conf and test (feel free to add your options
back to the generated conf).
Comment 6 Philippe Rigault 2004-11-03 19:09:30 EST
`system-config-display --reconfig` ends up with the same exact 
xorg.conf (minus my modifications of course). 
As a result, next restart also fails to use the mouse. 
 
Side note: as usual, Fedora fails to detect any Dell Laptop display 
panel, in this case a 'Dell 1024x768 Laptop Display panel' that I 
have to select manually. 
Comment 7 Paul Nasrat 2004-11-04 10:50:56 EST
OK, that means we may not detect the PS/2 mouse.  I tested here with a synaptics
config only, then reconfigured with an external mouse.

The panel is probably not probable with DDC so there isn't much we can do in
that case.

Can you run as root with the PS/2 mouse attached:

kudzu -p -b psaux 
Comment 8 Philippe Rigault 2004-11-08 21:05:04 EST
 > OK, that means we may not detect the PS/2 mouse.  I tested here 
with a synaptics config only, then reconfigured with an external 
mouse. 
 
Did you manage to get the mouse working ? 
 
> The panel is probably not probable with DDC 
 
What is DDC ? 
 
> Can you run as root with the PS/2 mouse attached: 
 
# kudzu -p -b psaux  
- 
class: MOUSE 
bus: PSAUX 
detached: 0 
device: input/mice 
driver: synaptics 
desc: "SynPS/2 Synaptics TouchPad" 
- 
class: KEYBOARD 
bus: PSAUX 
detached: 0 
driver: ignore 
desc: "AT Translated Set 2 keyboard" 
 
Comment 9 Paul Nasrat 2004-11-09 08:56:11 EST
Yes I got an external PS/2 working here after reconfiguring.

DDC is Display Data Channel, a standard by VESA
http://www.vesa.org/standards_summaries.html which can be used to
probe video cards and monitors.  This is what is used to detect your
monitor, if a monitor or panel doesn't support DDC probing then we
can't auto detect.

You should have another psaux mouse device listed with PS/2 external
connected - as it's not there seems to be something wrong.  

Are there any BIOS options related to the external PS/2 port and
Legacy USB support that you can adjust and see if that makes a difference?
Comment 10 Philippe Rigault 2004-11-10 07:48:55 EST
Bug confirmed on FC3 final. 
It is indeed a regression from FC1 (can confirm behaviour of FC2 
later if needed).  
 
Thanks for the info about DDC. 
 
> You should have another psaux mouse device listed with PS/2 
external 
> connected - as it's not there seems to be something wrong. 
 
Well, it is not the hardware. I checked one more time with FC1 
install disk -> graphic install autodetects mouse, which works 
perfectly aside the synaptics touchpad. 
 
> Are there any BIOS options related to the external PS/2 port and 
> Legacy USB support that you can adjust and see if that makes a 
difference? 
 
Bingo! 
 
The option is: 
 Touchpad [Enabled / Auto Disabled] 
 
FWIW: 
 - BIOS rev is A15 for Dell Inspiron 7000 
 - mouse is PS/2 wheel mouse (IntelliMouse). 
 
1.  'Enabled' 
  - FC1: mouse + touchpad work together. 
  - FC3: no mouse, touchpad OK. 
 
2. 'Auto Disabled': 
  - FC1: detects 'Generic - Wheel Mouse (PS/2)' (correct), disables 
touchpad. Wheel mouse works OK. 
  - FC3: detects 'Generic - 3 Button Mouse (PS/2)' (*incorrect*), 
disables touchpad. Wheel mouse works (as 3-button mouse). 
 
Enabled is the preferred option of course. 
So FC1 worked perfectly in all respects, and FC3 does not work 
correctly for any option (regression). 
 
I now remember struggling with this option a long time ago --RH6--, 
and was probably very happy to erase the bad memories from my brain's 
filesystem (trying to explain the "why didn't I think of this 
earlier?" factor). 
 
 
Comment 11 Philippe Rigault 2004-11-10 07:51:48 EST
Adjusted product version to FC3, so that it does not get lost. 
Let me know if adjusting version like this is the thing to do. 
Comment 12 Shoaib Sufi 2004-11-10 18:22:18 EST
Hi,

I had a similar problem with an Amilo A 7600 laptop  i.e. no touchpad
detected during install and duringing post install on FC2 and FC3 -
after hunting around passing the kernel parameter i8042.nomux seemed
to fix it - I read that on the unofficial fedora faq - they said it
helped with keyboard, mouse issues - not sure what it does or why it
works but it did for me.

Best Regards
Comment 13 Paul Nasrat 2004-11-12 09:57:07 EST
Comment #10 - 2.6 uses a completely different input layer to 2.4 which
is what FC1 uses.

Comment #12 - Phillipe does passing the i8042.nomux make any
difference to your experience?
Comment 14 Philippe Rigault 2004-11-13 09:01:31 EST
> Phillipe does passing the i8042.nomux make any 
> difference to your experience? 
 
No difference in any of the four combinations (install CD/regular 
boot, Enabled / Auto Disabled). 
 
Comment 15 Paul Nasrat 2004-11-15 08:50:28 EST
Looks like an issue in the input layer and your laptop with the
external ps/2 connected as I've been able to get things working with
external PS/2 and synaptics on a system here.
Comment 16 Daniel Martinez 2005-02-26 15:35:43 EST
Replicated here with a Compaq Armada 110.
Solved with: psmouse.proto=imps as boot parameter to the kernel.

References:
https://www.redhat.com/archives/fedora-list/2004-December/msg05787.html
Comment 17 James Morris 2005-03-24 17:27:00 EST
Also replicated with kernel 2.6.10-1.770_FC3 on a Dell Inspiron 7500.

Problem resolvable with psmouse.proto=imps boot param.
Comment 18 Dave Jones 2005-07-15 15:56:43 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 19 Philippe Rigault 2005-07-18 16:08:57 EDT
> Problem resolvable with psmouse.proto=imps boot param.     
     
I confirm that booting with 'psmouse.proto=imps' boot param does work around  
the problem:  
 - during install of FC3 (type 'linux psmouse.proto=imps' at prompt)  
 - at start of the system (option added to grub.conf)  
  
The update does not fix it, this option is still necessary with 
kernel-2.6.12-1.1372_FC3. 
  
    
    
    
Comment 20 Dave Jones 2006-01-16 17:31:25 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 21 Philippe Rigault 2006-01-16 18:26:32 EST
I will wait for FC5 and test again then. 
 
Cheers. 
Comment 22 John Thacker 2006-05-04 09:07:21 EDT
Does this occur in FC5?
Comment 23 Dave Jones 2006-10-16 17:09:09 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 24 Jon Stanley 2008-01-19 23:39:14 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.